# Resend Receipt Resends the gift receipt Endpoint: POST /gifts/{tenantId}/public/process Version: v1-2025-04-18 ## Path parameters: - `tenantId` (string, required) The tenant ## Header parameters: - `x-aws-waf-token` (string) AWS WAF Captcha Token that is issues as a part of the WAF validation flow for protected public endpoints ## Request fields (application/json): - `donor_info` (object) Optional info for public gifts - `electronic_payment_info` (object) The payment info - `gift_payload` (object, required) - `gift_payload.amount` (number, required) Gift amount - `gift_payload.anonymous` (boolean) Anonymous - `gift_payload.appeal_id` (string) The id for the appeal associated with the gift - `gift_payload.campaign_id` (string) The id for the campaign associated with the gift - `gift_payload.contact_id` (string) The rolodex contact id for the gift giver - `gift_payload.cover_transaction_costs` (boolean) If selected, the donor covers the transaction fees - `gift_payload.currency_code` (string) The currency code of the gift - `gift_payload.currency_symbol` (string) Currency - `gift_payload.custom_field_values` (array) - `gift_payload.custom_field_values.boolean_value` (boolean) The boolean value - `gift_payload.custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `gift_payload.custom_field_values.file_url_value` (string) The pointer to a file value - `gift_payload.custom_field_values.list_value` (array) The list value - `gift_payload.custom_field_values.numeric_value` (number) The numeric value - `gift_payload.custom_field_values.string_value` (string) The string value of the custom field - `gift_payload.custom_field_values.table_value` (array) A list of objects (a table) - `gift_payload.donor_type` (string, required) The donor type for the gift Enum: "contact", "organization" - `gift_payload.fund_id` (string, required) The id for the fund associated with the gift - `gift_payload.giving_process_id` (string) The process of that led to the gift - `gift_payload.has_splits` (boolean) If true, this gift is split into different funds - `gift_payload.make_recurring` (boolean) Whether to make this a recurring gift - `gift_payload.notes` (string) Notes about the gift - `gift_payload.organization_id` (string) The organization id associated with this gift - `gift_payload.premium_assignment` (string) Enum: "assigned", "declined by donor", "not applicable" - `gift_payload.premium_fair_market_value` (number) The amount of any premiums associated with the gift - `gift_payload.premium_id` (string) If the user has selected a premium it is here - `gift_payload.recurring_frequency` (string) Enum: "monthly", "quarterly", "yearly" - `gift_payload.recurring_gift_end_date` (string) optional end date for gift - `gift_payload.shipping_address` (object) A complete address - `gift_payload.shipping_address.city` (string) The city of the address - `gift_payload.shipping_address.country` (string) The country ISO code - `gift_payload.shipping_address.country_name` (string) The full name of hte country - `gift_payload.shipping_address.county` (string) The county - `gift_payload.shipping_address.latitude` (number) - `gift_payload.shipping_address.line1` (string) The first line of the address - `gift_payload.shipping_address.line2` (string) The second line of the address - `gift_payload.shipping_address.line3` (string) The third line of the address - `gift_payload.shipping_address.longitude` (number) - `gift_payload.shipping_address.postal_code` (string) The zip/postal code - `gift_payload.shipping_address.state` (string) The state/province of the address - `gift_payload.shipping_address.time_zone_id` (string) - `gift_payload.splits` (array) An array of fund allocations for this gift - `gift_payload.splits.amount` (number, required) The amount for this allocation of the gift - `gift_payload.splits.fund_id` (string, required) The id for the fund associated with the gift allocation - `gift_payload.tribute_gift` (boolean) Whether or not this is a tribute gift - `gift_payload.tribute_gift_info` (object) - `gift_payload.tribute_gift_info.address` (object) A complete address - `gift_payload.tribute_gift_info.contact_id` (string) The optional linked contact - `gift_payload.tribute_gift_info.details` (string) Additional details - `gift_payload.tribute_gift_info.email_address` (string) - `gift_payload.tribute_gift_info.inform_honoree` (boolean) If true, the honoree is informed about the gift - `gift_payload.tribute_gift_info.inform_honoree_by` (string) Enum: "email", "mail" - `gift_payload.tribute_gift_info.message` (string) Message to send when notifying - `gift_payload.tribute_gift_info.name` (string, required) The name - `gift_payload.tribute_gift_info.type` (string, required) Enum: "in honor of", "in memory of" ## Response 200 fields (application/json): - `executionArn` (string, required) The arn of the execution - `notification_channel` (string) The id of the channel where progress updates will be posted - `notification_publishKey` (string) The publish key for the channel where progress updates will be posted - `notification_subscribeKey` (string) The subscribe key for the channel where progress updates will be posted - `start_date` (string) The start date of the execution ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields